#include "macros.h" // needs to be declared as first entry in .cpp or .h file!
#include <string>
#include <iostream>
#include <ctime>
using namespace std;
#include "AbstractExercise.h"

/**
 * The Exercise3.
 *
 * &copy; Bernhard Wagner, xmlizer.biz, 2002.
 */
class Exercise3 : public AbstractExercise {
public:

	/**
	 * Constructor.
	 *
	 * @param name The name of the Exercise
	 */
	Exercise3(string name) : AbstractExercise(name){};
};
	
/**
 * Instantiates an object of type Exercise3 and stores it in the ExerciseStore.
 * unnamed namespace: file scope (not visible outside this file -> no naming conflicts!)
 * See Bjarne Stroustrup "The C++ Programming Language" Special Edition, Addison-Wesley 2000, p. 200
 */
namespace {
	Exercise3 proto("Exercise3");
}