#include "macros.h" // needs to be declared as first entry in .cpp or .h file!
#ifndef __Exercise__
#define __Exercise__
#include <string>
using namespace std;

/**
 * The Driver.
 * Runs Exercises specified by name.
 *
 * &copy; Bernhard Wagner, xmlizer.biz, 2002.
 */
class Driver {
public:

	/**
	 * Runs Exercises specified by name.
	 *
	 * @param name The name of the Exercise to run.
	 * @return The outcome of the Exercise
	 */
	int instantiate(string name);

	/**
	 * Destructor.
	 */
	~Driver();

	/**
	 * Waits for user to press a key on the keyboard.
	 */
	static void waitForKey();
};

#endif
